/* #region CSS Reset from https://www.joshwcomeau.com/css/custom-css-reset/ */
/* Use a more-intuitive box-sizing model */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Remove default margin */
* {
  margin: 0;
}

/* Typographic tweaks! Add accessible line-height and Improve text rendering */
body {
  line-height: 1.5;
  -webkit-font-smoothing: antialiased;
}

/* Improve media defaults */
img,
picture,
video,
canvas,
svg {
  display: block;
  max-width: 100%;
}

/* Remove built-in form typography styles */
input,
button,
textarea,
select {
  font: inherit;
}

/* Avoid text overflows */
p,
h1,
h2,
h3,
h4,
h5,
h6 {
  overflow-wrap: break-word;
}

/* Create a root stacking context */
#root,
#__next {
  isolation: isolate;
}

/* #endregion */

/* #region General */
:root {
  --colour-primary: hsl(155, 30%, 55%, 0.9);
  --colour-secondary: hsl(153, 38%, 90%, 0.75);
  --colour-tertiary: hsl(147, 33%, 36%);
  --colour-tertiary-alt: hsl(147, 33%, 72%);
  --colour-background: hsl(154, 39%, 95%);
  --colour-text: hsl(0,0, 5%);
}

::selection {
  background: var(--colour-tertiary-alt);
  color: var(--colour-secondary);
}

html {
  font-size: 18px;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  background: var(--colour-background);
  color: var(--colour-text);
}

*:focus-visible {
  box-shadow: 0 0 2px 5px var(--colour-primary);
  outline-offset: 1px;
  outline: 2px solid var(--colour-tertiary);
  position: relative;
}

p {
  max-width: 80ch;
}

.visually-hidden {
  height: 1px;
  width: 1px;
  position: absolute;
  top: 0;
  left: 0;
  clip: rect(0, 0, 0, 0);
  clip-path: inset(50%);
  overflow: hidden;
  white-space: nowrap;
}

/* #endregion */

/* #region Permanent Scrollbar */
body,
#controls {
  overflow-y: scroll;
  scrollbar-color: var(--colour-secondary) var(--colour-primary);
}

body::-webkit-scrollbar,
#controls::-webkit-scrollbar {
  width: 0.5rem;
}

body::-webkit-scrollbar-thumb,
#controls::-webkit-scrollbar-thumb {
  background: var(--colour-secondary);
}

body::-webkit-scrollbar-track,
#controls::-webkit-scrollbar-track {
  background: var(--colour-primary);
}
/* #endregion */

/* #region leithcat */
body {
  background-image: url("img/bg1600.webp");
  background-position: center center;
  background-attachment: fixed;
  min-height: 100vh;
  min-height: 100lvh;
  border-bottom: 0.5rem solid var(--colour-primary);
}

h2 {
  font-weight: lighter;
}

a {
  margin: 0.5em 0;
  color: var(--colour-tertiary);
}

a:visited {
  color: var(--colour-tertiary-alt);
}

header {
  background-color: var(--colour-primary);
}

header img {
  height: 125px;
  width: 125px;
}

header h1,
header p {
  text-align: center;
}
header .header-container {
  padding: 0.5rem;
  display: flex;
  justify-content: center;
}

button {
  display:inline-block;
	cursor:pointer;
  background-color: var(--colour-tertiary);
  border-radius: 1rem;
  border-width: 0;
  padding:0.5rem  1.5rem;
  font-weight: bolder;
}
button:hover {
  background-color: var(--colour-tertiary-alt);
}
button:active {
	position:relative;
	top:1px;
}

main>div {
  background-color: var(--colour-secondary);
}

main {
  margin: 0 1rem;
  padding: 2rem 0;
  display: grid;
  gap: 1rem;
  grid-template-columns: 1fr;
  grid-auto-rows: minmax(100px, auto);
}

main>div {
  padding: 0.5rem 1rem;
  text-align: center;
  border-bottom-left-radius: 2rem;
  border-bottom-right-radius: 2rem;
}

.area-pic {
  background-color: var(--colour-primary);
  border-radius: 2rem;
  min-height: 200px;
}
.area-pic img {
  border-radius: 100%;
  margin:auto;
}
.area-details {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

table {
  width: 100%;
  max-width: 32ch;
  margin: 0 auto;
}

.ears{
  position: sticky;
  display: flex;
  justify-content: space-between;
  width: calc(100% + 2rem);
  margin-left: -1rem;
  margin-top: -0.3rem;
}
.ears>div {
  width: 0; 
  height: 0; 
  border-left: 0.5rem solid transparent;
  border-right: 0.5rem solid transparent;
  border-bottom: 0.5rem solid var(--colour-primary);
}
.left-ear {
  top: -0.4rem;
  left: -1rem;
  transform: rotate(-45deg);
}
.right-ear {
  top: -0.4rem;
  right: -1rem;
  transform: rotate(45deg);
}

.testimonial-holder {
  display: grid;
  grid-template-columns: 1fr;
  grid-auto-rows: minmax(100px, auto);
  gap: 1rem;
  padding: 1rem 0;
}
.testimonial-selector {
  display: flex;
  justify-content: center;
  gap: 1rem;
  align-items: center;
}
.testimonial-selector>div {
  display: flex;
  gap: 0.25rem;
}
.testimonial-indicator {
  font-weight: bold;
  color: var(--colour-primary);
}

blockquote {
  font-size: smaller;
}
blockquote::before {
  content: "❝";
}
blockquote::after {
  content: "❞";
}


@media (min-width: 768px) {
  header {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10vw;
  }
  main {
    margin: 0 auto;
    max-width: 700px;
    grid-template-columns: repeat(3, 1fr);
    grid-template-areas:
      "pic about about"
      "details prices contact"
      "test test test";
  }
  .area-pic {
    grid-area: pic;
  }
  .area-about {
  grid-area: about;
  }
  .area-details {
    grid-area: details;
  }
  .area-prices {
    grid-area: prices;
  }
  .area-contact {
    grid-area: contact;
  }
  .area-testimonial {
    grid-area: test;
  }
  .testimonial-holder {
    grid-template-columns: 1fr 1fr;
  }
}
@media (min-width: 992px) {
  main {
    max-width: 900px;
  }
}
@media (min-width: 1600px) {
  body {
    background-size: 100% 100%;
  }
}
@media (min-width: 1920px) {
  .testimonial-holder {
    grid-template-columns: 1fr 1fr 1fr;
  }
}

@media (prefers-reduced-motion: no-preference) {
  @keyframes fade-in {
    0% {
      opacity: 0;
      transform: translateY(10px);
    }

    100% {
      opacity: 1;
      transform: translateY(0);
    }
  }

  .area-about, .area-details, .area-prices, .area-contact, .area-testimonial {
    animation: fade-in 0.25s ease-in forwards;
    opacity: 0;
  }
  .area-details {
    animation-delay: 0.05s;
  }
  .area-prices {
    animation-delay: 0.1s;
  }
  .area-contact {
    animation-delay: 0.15s;
  }
  .area-testimonial {
    animation-delay: 0.2s;
  }
}
/* #endregion */
